<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_funfair.new_attractions.new_carousels')"
  [showBackButton]="true"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <div class="flex-list-medium content">
    <div class="flex-list-minor">
      <div class="flex-list-medium">
        <div *ngFor="let section of sections; let i = index" class="section">
          <h3>{{ t(section.title) }}</h3>
          <p>{{ t(section.content) }}</p>
          <lib-action-button-bar
            [actions]="[
              {
                label: t('feature_funfair.buttons.funfair_map'),
                icon: 'map',
                onClick: navigateToFunfairMap.bind(
                  this,
                  section.featureId,
                  section.category
                ),
              },
              {
                label: t('feature_funfair.buttons.in_browser'),
                icon: 'open_in_new',
                linkUrl: section.linkUrl,
              },
              {
                label: t('feature_funfair.buttons.share'),
                onClick: shareLink.bind(this, section.linkUrl),
                icon: 'share',
              },
            ]"
          >
          </lib-action-button-bar>
        </div>
      </div>
    </div>
  </div>
</lib-condensed-header-layout>
